The SML of NJ Library
The `SExpPrinter` structure

The `SExpPrinter` structure implements a printer for S-Expressions. This printer does not introduce any line breaks. For output that is more readable, use the `SExpPP` module.

## Synopsis

    structure SExpPrinter

## Interface

    val print : TextIO.outstream * SExp.value -> unit

## Description

`val print : TextIO.outstream * SExp.value -> unit`

  `print (outS, v)` prints the S-Expression value `v` to the output stream `outS`.

## See Also

`SExp`, `SExpPP`, The SExp Library

SML/NJ Version 110.99.3 (August 1, 2023)
Last updated 2023-07-31 17:59:01 UTC